package com.bocloud.cmp.provider.common;

import com.bocloud.cmp.model.PricingModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 公有云账单
 */

public interface BillingProvider extends SuperProvider {

    default BocloudResult billDetailList(String month) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult billResourceSummaryList() {
        return new BocloudResult(false, "暂未开发！");
    }

    //azure
    default BocloudResult billPeriods() {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult periodPrices(String periodUuid) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult nextLinkPrices(String nextLink) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult periodByTimePrices(String periodUuid, String startTime, String endTime) {
        return new BocloudResult(false, "暂未开发！");
    }
    default BocloudResult pricing(PricingModel server) {
        return new BocloudResult(false, "暂未开发！");
    }
}
